deployment-ms-beXX Duplicate declaration: Exec[swift_udev_reload]
Closed, ResolvedPublic

Description

deployment-ms-be03 and deployment-ms-be04 have a puppet failure:

Duplicate declaration: Exec[swift_udev_reload] is already declared in file /etc/puppet/modules/profile/manifests/swift/storage/labs.pp:26;
cannot redeclare at /etc/puppet/modules/swift/manifests/storage.pp:163

The reason is they have role::swift::storage and profile::swift::storage::labs (via horizon puppet prefix) and both define exec { 'swift_udev_reload':.

hashar created this task.Jul 24 2017, 9:49 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 24 2017, 9:49 AM
Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-releng) [2017-07-24T11:02:02Z] <hashar> Removing profile::swift::storage::labs class from deployment-ms-be03 and deployment-ms-be04 to let puppet run. Reapplying it after. - T171174 T171454

Change 369636 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/puppet@production] profile: fix swift udevadm reload name

https://gerrit.wikimedia.org/r/369636

Change 369636 merged by Filippo Giunchedi:
[operations/puppet@production] profile: fix swift udevadm reload name

https://gerrit.wikimedia.org/r/369636

fgiunchedi moved this task from Backlog to Doing on the User-fgiunchedi board.Aug 2 2017, 12:46 PM
fgiunchedi closed this task as Resolved.Aug 2 2017, 2:45 PM
fgiunchedi claimed this task.